/*****************************************************************/
/* TOOLS                                                 V.Burel */
/*****************************************************************/
/* General Functions to be used in MinPrg Samples                */
/* WARNING ! include this header AFTER <windows.h>               */
/*****************************************************************/

#ifndef __TOOLS_H__
#define __TOOLS_H__

#ifdef __cplusplus
extern "C" {
#endif

//Application Directory
void TOOL_StoreOriginalAppDirectory(void);
void TOOL_GetAppDirectory(char *  dir);

void TOOL_GetPathOnly(char *  sss);

//Memory Block Functions

void __cdecl TOOL_MemZERO(void * target, long nbByte);


//Bitmap Functions

long TOOL_GetBitmapSize(HBITMAP bmp,long * dx,long * dy);
void TOOL_DrawBitmap(HDC dc, int x0, int y0, HBITMAP hbmp);
void TOOL_DrawPartOfBitmap(HDC dc,HBITMAP hbmp,int x0, int y0,int bmpx0,int bmpy0, int bmpcx,int bmpcy);

//Window info functions
void TOOL_GetMetricInfoWindow(long * win_bordersize, long * win_captiondy,long * win_menudy);

void TOOL_StorePointerInWindow(HWND hw,LPVOID pp);
LPVOID TOOL_RecallPointerFromWindow(HWND hw);



//End Of Header.

#ifdef __cplusplus 
}
#endif


#endif /*__TOOLS_H__*/


