/*****************************************************************/
/* MYCTRL                                                V.Burel */
/*****************************************************************/
/* Contains 2 custom windows control                             */
/*****************************************************************/

#ifndef __MYCTRL_H__
#define __MYCTRL_H__

#ifdef __cplusplus
extern "C" {
#endif

#define MYCTRL_CLASSNAME_BUTTON	"MyOwnCtrl_Button"
#define MYCTRL_CLASSNAME_PANEL	"MyOwnCtrl_Panel"


//Initialize library
long MYCTRL_InitLib(HINSTANCE hinst);
void MYCTRL_EndLib(void);



/*---------------------------------------------------------------*/
/*                          2D PANEL                             */
/*---------------------------------------------------------------*/
typedef void (__stdcall *MYCTRL_LPT_2DPANELCALLBACK)(void * lpuser,long Ident,float xvalue, float yvalue);


typedef struct tagMYCTRL_2DPANELPARAM
{
	HBITMAP hbmp;
	HFONT	font;
	float	xmin,xmax;
	float	ymin,ymax;

	MYCTRL_LPT_2DPANELCALLBACK	lpCallback;
	void *						lpuser;
} T_MYCTRL_2DPANELPARAM, *PT_MYCTRL_2DPANELPARAM, *LPT_MYCTRL_2DPANELPARAM;

HWND MYCTRL_Create2DPanel(HWND hParent, long Ident, long x0,long y0, LPT_MYCTRL_2DPANELPARAM lpparam);

void MYCTRL_Set2DPanelValue(HWND hw, float xvalue, float yvalue);




//End Of Header.

#ifdef __cplusplus 
}
#endif


#endif /*__MYCTRL_H__*/


